# 创建 流程表
create table sale_contract_process
(
    id                     int auto_increment primary key,
    apply_date             date         null,
    apply_dept             varchar(255) null,
    apply_dept_leader_name varchar(255) null,
    apply_person_name      varchar(255) null,
    apply_person_phone     varchar(255) null,
    client_name            varchar(255) null,
    contract_name          varchar(255) null,
    contract_no            varchar(255) null,
    payment_terms          varchar(255) null,
    project_id             int          null,
    project_no             varchar(255) null,
    project_title          varchar(255) null comment '标题',
    seal_types             varchar(255) null comment '印章类型',
    `status`               varchar(255) null,
    tax_rate               varchar(255) null,

    current_audit          varchar(255) null comment '当前审核人',

    create_at              datetime default CURRENT_TIMESTAMP comment '创建时间',
    last_update_at         datetime on update CURRENT_TIMESTAMP comment '最后更新时间'

);


alter table sale_contract_process
    add current_audit varchar(255) null comment '当前审核人';

alter table sale_contract_process
    add create_at datetime default CURRENT_TIMESTAMP comment '创建时间';
alter table sale_contract_process
    add last_update_at datetime on update CURRENT_TIMESTAMP comment '最后更新时间';



